[FFe] Update to 1.74 and merge with Debian

Bug #418367 reported by Charles Kerr on 2009-08-24
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
transmission (Ubuntu)
Wishlist
Unassigned
Karmic
Wishlist
Unassigned

Bug Description

Binary package hint: transmission

Transmission 1.74 is a bug-fix release, which should be ok by itself without a FFe request. However, merging with Debian enables the QT front-end (and puts it in to it's own package - transmission-qt). The QT front-end is already shipped in the current tarball, but we just don't build it.

***Upstream changes 1.73 -> 1.74***

All tickets closed by this release:
http://trac.transmissionbt.com/query?milestone=1.74&group=component&groupdesc=1&order=severity

==== All Platforms ====
  * Better data recovery in the case of an OS or Transmission crash
  * If a data file is moved, stop the torrent instead of redownloading it (Ubuntu bug 419304)
  * Fix bug that didn't list some peers in the resume file and in PEX
  * More helpful torrent error messages
  * DHT now honors the bind-address-ipv4 configuration option
  * Fix Debian build error with miniupnpc
  * Fix Cygwin build error with strtold
  * Update to a newer snapshot of miniupnpc
==== GTK+ ====
  * Fix crash that occurred when adding torrents on some desktops
  * Synchronize the statusbar's and torrent list's speeds
  * Fix the Properties dialog's "Origin" field for multiple torrents
==== Qt ====
  * New Russian Translation
  * If Transmission was minimized, clicking on it the icon tray didn't raise it
==== Daemon ====
  * Speed Limit mode support added to transmission-remote
  * Add a "session stats" readout to transmission-remote
==== Web Client ====
  * Progress bar shows seeding progress
  * Fix bug that displayed "%nan" when verifying a torrent
  * "Pause All" only appeared to pause torrents with peers until refresh

***Rationale***
Building the QT front-end means that KDE users can use transmission without having to pull in GTK. The additional risk of building the QT front end is minimal because:

1) Both front-ends (GTK and QT) share a lot of common code (libtransmission) which is already used in Ubuntu, well tested and only has bug-fixes in this release.
2) The regression risk is non-existant as we currently don't ship the QT front end at all, and it will be built in to it's own package and not installed by default.
3) Upstream (Charles in particular) is very responsive, active here on Launchpad and fix bugs quickly, so I have every confidence that any bugs that exist in the QT front end will be rectified fairly quickly upstream.
4) Debian already build the QT front end, and I can't find any bugs related to it on their tracker.

***Testing***
Build log: http://launchpadlibrarian.net/30912687/build.log

Install log:
chr1s@chris-ubuntudevvm:~$ sudo dpkg -i transmission-common_1.74-0ubuntu1_all.deb transmission-gtk_1.74-0ubuntu1_amd64.deb
[sudo] password for chr1s:
(Reading database ... 309772 files and directories currently installed.)
Preparing to replace transmission-common 1.73-1ubuntu1 (using transmission-common_1.74-0ubuntu1_all.deb) ...
Unpacking replacement transmission-common ...
Replacing files in old package transmission-gtk ...
Preparing to replace transmission-gtk 1.73-1ubuntu1 (using transmission-gtk_1.74-0ubuntu1_amd64.deb) ...
Unpacking replacement transmission-gtk ...
Setting up transmission-common (1.74-0ubuntu1) ...
Setting up transmission-gtk (1.74-0ubuntu1) ...

Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...

chr1s@chris-ubuntudevvm:~$ sudo dpkg -i transmission-qt_1.74-0ubuntu1_amd64.deb Selecting previously deselected package transmission-qt.
(Reading database ... 309773 files and directories currently installed.)
Unpacking transmission-qt (from transmission-qt_1.74-0ubuntu1_amd64.deb) ...
Setting up transmission-qt (1.74-0ubuntu1) ...

Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...

I've tried running qtr on my GNOME desktop, cycled through the menus/preferences etc, and it seems to work ok (although I haven't done any thorough testing with it)

If this FFe request is approved, I will merge the changes in to the ubuntu-desktop branch.

tags: added: desktop-upgrade
Changed in transmission (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Charles Kerr (charlesk) wrote :

1.74 resolves #419304

Chris Coulson (chrisccoulson) wrote :

This will need a feature-freeze exception if we're going to merge with Debian and enable the QT front end. I will take a look at this.

Changed in transmission (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
status: Triaged → In Progress
Chris Coulson (chrisccoulson) wrote :

kklimonda already started the merge in bug 406103 - I'm going to close that one now though and handle it all in this one.

Chris Coulson (chrisccoulson) wrote :
summary: - Please merge Transmission 1.74 in Karmic
+ [FFe] Update to 1.74 and merge with Debian
description: updated
description: updated
Changed in transmission (Ubuntu):
assignee: Chris Coulson (chrisccoulson) → nobody
status: In Progress → New
description: updated
Charles Kerr (charlesk) wrote :

As the rationale says, I *will* try to fix any issues that arise, but I'd be remiss if I didn't point out the Qt client is still very new. Inclusion in Ubuntu is bound to get more new users and wider testing, and I'm all in favor of that... but the Qt client is /currently/ a riskier package than the GTK+ client.

Martin Pitt (pitti) wrote :

OK to merge this, we can leave the qt frontend in universe. It would be good to get the bug fixes.

Changed in transmission (Ubuntu Karmic):
status: New → Confirmed
Chris Coulson (chrisccoulson) wrote :

I've merged the changes in to ~ubuntu-desktop now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 1.74-0ubuntu1

---------------
transmission (1.74-0ubuntu1) karmic; urgency=low

  [ Krzysztof Klimonda ]
  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Added replaces & provides clutch (now included as part of transmission).
      + add liblaunchpad-integration to Build-Depends
    - debian/rules:
      + Create a PO template during package build.
    - debian/patches/01_lpi.patch:
      + Integrate Transmission with Launchpad
    - debian/patches/20_add_X-Ubuntu-Gettext-Domain.diff:
      + Add X-Ubuntu-Gettext-Domain to .desktop file.
  * debian/control:
    - add lsb-release to Build-Depends
  * This includes the QT client in transmission-qt.

  [ Chris Coulson ]
  * Update to new upstream version 1.74 (LP: #418367):
    - Better data recovery in the case of an OS or Transmission crash
    - If a data file is moved, stop the torrent instead of redownloading
      it (LP: #419304).
    - Fix bug that didn't list some peers in the resume file and in PEX
    - More helpful torrent error messages
    - DHT now honors the bind-address-ipv4 configuration option
    - Fix Debian build error with miniupnpc
    - Fix Cygwin build error with strtold
    - Update to a newer snapshot of miniupnpc
    - Fix crash that occurred when adding torrents on some desktops
    - Synchronize the statusbar's and torrent list's speeds
    - Fix the Properties dialog's "Origin" field for multiple torrents
  * debian/rules, debian/control:
    - Don't run autoreconf at build time and don't build-dep on libtool.
  * debian/control:
    - transmission-common replaces transmission-gtk (<< 1.74) rather than
      (<= 1.73-1).
  * Refreshed patches:
    - 01_lpi.patch.
    - dont_build_libevent.patch.
    - qt_client_use_system_libevent.patch.
  * Dropped patches not needed anymore:
    - updateminiupnpcstrings_double_escape_slash.patch
  * Added 99_autoreconf.patch for autotools update.

transmission (1.73-5) unstable; urgency=low

  * debian/rules: patch before configure
  * debian/patches: add patch to not build libevent, regardless of
    linking (really, really closes: #537868)
  * debian/changelog: fix dates

transmission (1.73-4) unstable; urgency=low

  * debian/patches: oops, hadn't seen the libnatpmp part of the
    problem... (really closes: #537868)

transmission (1.73-3) unstable; urgency=low

  * debian/patches/series: actually add the patch to make the qt
    version use the system-wide libevent. (closes: #537868)

transmission (1.73-2) unstable; urgency=low

  * debian/{rules,control,transmission-qt.*}: build Qt client in
    transmission-qt (closes: #528074)

 -- Chris Coulson <email address hidden> Wed, 09 Sep 2009 09:06:11 +0200

Changed in transmission (Ubuntu Karmic):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments